## rsrce 0.1

=== Makefile ===
OBJS= resource.o translate.o command.o main.o
CC= gcc
CFLAGS= -Wall -g
RM= rm -f

DESTDIR=
LOCAL=/local
USR_BIN=$(DESTDIR)/usr$(LOCAL)/bin

rsrce: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS)

install: rsrce
	install -m755 rsrce $(USR_BIN)/rsrce

clean:
	$(RM) $(OBJS) rsrce

## rsrce 0.2.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 OBJS= resource.o translate.o command.o main.o
 CC= gcc
-CFLAGS= -Wall -g
+CFLAGS= -Wall -g -O2
 RM= rm -f
 
 DESTDIR=
@@ -16,3 +16,5 @@
 clean:
 	$(RM) $(OBJS) rsrce
 
+resource.o: rsrc-fmt.h
+

=== debian/changelog ===
rsrce (0.2.2) unstable; urgency=low

  * Improve the manual page. 
  * Add some command line options to allow for '#!/usr/bin/rsrce -ef' scripts.
  * A bug prevented file to be read on big-endian architectures; fix provided
    by Piotr Krysiuk. (closes: #379878)

 -- Jeremie Koenig <sprite@sprite.fr.eu.org>  Wed, 26 Jul 2006 03:54:33 +0200

rsrce (0.2.1) unstable; urgency=low

  * Aurélien GÉRÔME <ag@roxor.cx>

    - Convert debian/control from ISO_8859-15 to UTF-8.
    - Fix lintian warnings and errors.
    - Conform compiler optimisations to policy.

  * Jérémie Koenig <sprite@sprite.fr.eu.org>

    - Fix the type list offset in the map header which points to the
      number of types field before the actual list.
    - Fix the written resource map length which included space for
      non-existant names.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sat, 15 Jul 2006 15:33:40 +0200

rsrce (0.2) unstable; urgency=low

  * Aurélien GÉRÔME <ag@roxor.cx>

    - Fix exporting of binary resources, courtesy of Piotr Krysiuk
      (closes: #340533).
    - New feature by Piotr Krysiuk: rsrce now allows for new resources to be
      created (closes: #365655).
    - Update to the latest Standards-Version.

  * Jérémie Koenig <sprite@sprite.fr.eu.org>

    - No more crazy memory management in resource.c.
    - Fix /tmp clutter, behaviour with empty strings and some crashes on
      malformed input.
    - Command parser with backslashes, single quotes and comments.

 -- Jeremie Koenig <sprite@sprite.fr.eu.org>  Wed, 12 Jul 2006 09:46:57 +0200

rsrce (0.1-2) unstable; urgency=low

  * Added man page provided by Jeremie Koenig.

 -- Sven Luther <luther@debian.org>  Fri, 26 Mar 2004 20:55:41 +0100

rsrce (0.1-1) unstable; urgency=low

  * Initial release (closes: #237308)

 -- Jeremie Koenig <sprite@sprite.fr.eu.org>  Thu,  4 Mar 2004 11:59:33 +0100

=== debian/control ===
Source: rsrce
Maintainer: Debootloaders miBoot Maintainers Team <debootloaders-miboot@lists.alioth.debian.org>
Uploaders: Sven Luther <luther@debian.org>, Aurélien GÉRÔME <ag@roxor.cx>, Jeremie Koenig <sprite@sprite.fr.eu.org>, Piotr Krysiuk <piotras@gmail.com>
Section: otherosfs
Priority: optional
Build-Depends: debhelper (>= 4)
Standards-Version: 3.7.2

Package: rsrce
Architecture: any
Depends: ${shlibs:Depends}
Suggests: hfsutils, macutils
Description: editor for Macintosh resource forks
 Rsrce is an interactive, command-driven Macintosh resource editor. It
 aims at providing the functionality of the MacOS tool "resedit" on
 Unix-like systems.
 .
 This program hasn't been tested much and should be considered unstable
 material. It has exclusively been created and used to change the
 configuration of miBoot files. Please use with care and report any
 experience.

=== debian/rules ===
#!/usr/bin/make -f

build: stamp.build
stamp.build:
	dh_testdir
	make
	touch $@

binary: binary-arch binary-indep

binary-indep:

binary-arch: stamp.build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=debian/rsrce LOCAL=
	dh_installdocs
	dh_installman rsrce.1
	dh_installchangelogs
	dh_strip
	dh_fixperms
	dh_compress
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

clean:
	dh_testdir
	dh_clean
	rm -f stamp.build
	$(MAKE) clean
